org.eclipse.emf.cdo.spi.common.revision

## Class CDOFeatureDeltaVisitorImpl

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.revision.CDOFeatureDeltaVisitorImpl

- All Implemented Interfaces:
    CDOFeatureDeltaVisitor
  Direct Known Subclasses:
    CDORevisionMerger

      public class CDOFeatureDeltaVisitorImpl
      extends java.lang.Object
      implements CDOFeatureDeltaVisitor

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Simon McDuff

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOFeatureDeltaVisitorImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `stopVisit()`
    `void` | `visit(CDOAddFeatureDelta delta)`
    `void` | `visit(CDOClearFeatureDelta delta)`
    `void` | `visit(CDOContainerFeatureDelta delta)`
    `void` | `visit(CDOListFeatureDelta deltas)`
    `void` | `visit(CDOMoveFeatureDelta delta)`
    `void` | `visit(CDORemoveFeatureDelta delta)`
    `void` | `visit(CDOSetFeatureDelta delta)`
    `void` | `visit(CDOUnsetFeatureDelta delta)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOFeatureDeltaVisitorImpl

          public CDOFeatureDeltaVisitorImpl()

  - ### Method Detail

    - #### visit

          public void visit(CDOAddFeatureDelta delta)

      Specified by:
        `visit` in interface `CDOFeatureDeltaVisitor`

    - #### visit

          public void visit(CDOClearFeatureDelta delta)

      Specified by:
        `visit` in interface `CDOFeatureDeltaVisitor`

    - #### visit

          public void visit(CDOContainerFeatureDelta delta)

      Specified by:
        `visit` in interface `CDOFeatureDeltaVisitor`

    - #### visit

          public void visit(CDOListFeatureDelta deltas)

      Specified by:
        `visit` in interface `CDOFeatureDeltaVisitor`

    - #### visit

          public void visit(CDOMoveFeatureDelta delta)

      Specified by:
        `visit` in interface `CDOFeatureDeltaVisitor`

    - #### visit

          public void visit(CDORemoveFeatureDelta delta)

      Specified by:
        `visit` in interface `CDOFeatureDeltaVisitor`

    - #### visit

          public void visit(CDOSetFeatureDelta delta)

      Specified by:
        `visit` in interface `CDOFeatureDeltaVisitor`

    - #### visit

          public void visit(CDOUnsetFeatureDelta delta)

      Specified by:
        `visit` in interface `CDOFeatureDeltaVisitor`

    - #### stopVisit

          protected void stopVisit()

      Since:
        4.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html